<template>
  <view class="content">
    <CustomNavbar></CustomNavbar>
    <view class="text-area">
      <text class="title">{{ title }}</text>
    </view>
  </view>
</template>

<script>
import CustomNavbar from '../../components/CustomNavbar.vue'
export default {
components: {
  CustomNavbar
},
  data() {
    return {
      title: 'Hello'
    }
  },
  onLoad() {
  },
  async onShow() {
  },
  methods: {
    //获取天气（随便网上找的接口 可能会失效
    getWeatherList(page) {
      return new Promise((resolve, reject) => {
        this.$api('test', {}).then(res => {
          console.log('getWeatherList', res);
          resolve(true);
        }).catch((e) => {
          resolve(false);
          // console.log(e);
        });
      })

    },
  }
}
</script>

<style lang="scss">
.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.logo {
  height: 200rpx;
  width: 200rpx;
  margin-top: 200rpx;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 50rpx;
}

.text-area {
  display: flex;
  justify-content: center;
}

.title {
  font-size: 36rpx;
  color: #8f8f94;
}
</style>
